// This file is auto-generated by @hey-api/openapi-ts

/**
 * HTTPException Model used for error response.
 */
export type HTTPExceptionResponse = {
    detail: string | {
    [key: string]: unknown;
};
};

export type HTTPValidationError = {
    detail?: Array<ValidationError>;
};

/**
 * Login serializer for post bodies.
 */
export type LoginBody = {
    username: string;
    password: string;
};

/**
 * Login serializer for responses.
 */
export type LoginResponse = {
    jwt_token: string;
};

export type ValidationError = {
    loc: Array<(string | number)>;
    msg: string;
    type: string;
};

export type CreateTokenData = {
    requestBody: LoginBody;
};

export type CreateTokenResponse = LoginResponse;

export type $OpenApiTs = {
    '/auth/token': {
        post: {
            req: CreateTokenData;
            res: {
                /**
                 * Successful Response
                 */
                201: LoginResponse;
                /**
                 * Bad Request
                 */
                400: HTTPExceptionResponse;
                /**
                 * Unauthorized
                 */
                401: HTTPExceptionResponse;
                /**
                 * Validation Error
                 */
                422: HTTPValidationError;
            };
        };
    };
};
